lzma_range_encoder Struct Reference

## Public Types

enum | { RC_BIT_0 , RC_BIT_1 , RC_DIRECT_0 , RC_DIRECT_1 , RC_FLUSH }
| Symbols to encode. More...

## Data Fields

uint64_t | low
uint64_t | cache_size
uint32_t | range
uint8_t | cache
size_t | count
| Number of symbols in the tables. More...
size_t | pos
| rc_encode()'s position in the tables More...
enum lzma_range_encoder:: { ... } | symbols [RC_SYMBOLS_MAX]
| Symbols to encode. More...
probability * | probs [RC_SYMBOLS_MAX]
| Probabilities associated with RC_BIT_0 or RC_BIT_1. More...

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Symbols to encode.

## Field Documentation

## count

size_t lzma_range_encoder::count

Number of symbols in the tables.

## pos

size_t lzma_range_encoder::pos

rc_encode()'s position in the tables

##

enum { ... } lzma_range_encoder::symbols[RC_SYMBOLS_MAX]

Symbols to encode.

## probs

probability* lzma_range_encoder::probs[RC_SYMBOLS_MAX]

Probabilities associated with RC_BIT_0 or RC_BIT_1.

The documentation for this struct was generated from the following file:

- liblzma/rangecoder/range_encoder.h